/**
* @projectName   XinHu_VehicleID
* @brief         摘要
* 发卡系统中间类,负责转发串口接收的数据
* @author        ZhangYL
* @date          2022-02-11
*/
#ifndef BRIDGE_H
#define BRIDGE_H

#include <QObject>
#include <QThread>
#include "readEPC/readepccontrol.h"
class Bridge : public QObject
{
    Q_OBJECT
public:
    explicit Bridge(QObject *parent = nullptr);
    ReadEPCControl *m_ReadEPCControl;   //定义EPC对象

signals:
    void SendToReadEPCControl_Connect();
    void SendToWindow(QString data);
public slots:

private:
    QThread *m_ReadEPCControl_thread;   //定义子线程
};

#endif // BRIDGE_H
